Jifty::Plugin::REST(3)

NAME
Jifty::Plugin::REST - Add REST web services to your app

DESCRIPTION
A RESTful web services API for your Jifty app.

USAGE
Add the following to your site_config.yml

 framework:
   Plugins:
     - REST: {}

See the URL /=/help in your Jifty app for more information about how to access the REST resources.

MISC
The REST interface calls a method named "jifty_serialize_format" on records and collections to downgrade them to simple data structures. By default, this just lists the attributes specified with "column". If you want to include calculated values in your REST interface, you can do so by overriding "jifty_serialize_format".